Loading...
Searching...
No Matches
pappso::EnzymeProductInterface Class Referenceabstract

`#include <enzymeproductinterface.h>`

Inheritance diagram for pappso::EnzymeProductInterface:

## Public Member Functions

virtual void | setPeptide (std::int8_t sequence_database_id, const ProteinSp &protein_sp, bool is_decoy, const PeptideStr &peptide, unsigned int start, bool is_nter, unsigned int missed_cleavage_number, bool semi_enzyme)=0
| function to give the products of a protein digestion by an enzyme

## Detailed Description

Definition at line 33 of file enzymeproductinterface.h.

## Member Function Documentation

## setPeptide()

virtual void pappso::EnzymeProductInterface::setPeptide | ( | std::int8_t | sequence_database_id,
|  | const ProteinSp & | protein_sp,
|  | bool | is_decoy,
|  | const PeptideStr & | peptide,
|  | unsigned int | start,
|  | bool | is_nter,
|  | unsigned int | missed_cleavage_number,
|  | bool | semi_enzyme )

pure virtual

function to give the products of a protein digestion by an enzyme

Parameters

  sequence_database_id | integer that references the sequence fatabase (file, stream, url...)
  protein_sp | shared pointer on the protein that was digested
  is_decoy | tell if the current protein is a decoy (true) or normal (false) protein
  peptide | amino acid sequence of the peptide (string) produced by the digestion
  start | the position of the first amino acid of the peptide in the original protein sequence. the first amino acid of the protein is at position 1.
  is_nter | boolean to tell if the peptide is an Nter peptide (to allow Methionin Nter removal)
  missed_cleavage_number | number of missed cleavage sites (that the enzyme has not cut) fot the product
  semi_enzyme | boolean that tells if this peptide is the produce of a semi enzymatic lysis

Implemented in pappso::PeptideBuilder, pappso::PeptideMethioninRemove, pappso::PeptideModificatorPipeline, pappso::PeptideSemiEnzyme, and pappso::PeptideSizeFilter.

Referenced by pappso::Enzyme::sanityCheck().

The documentation for this class was generated from the following file:

- pappsomspp/core/protein/enzymeproductinterface.h